> ## Documentation Index
> Fetch the complete documentation index at: https://docs.slant.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Get intake form field definitions

> Returns prefillable fields from the published form: keys, types, labels, options, validation constraints, and nested field definitions. Excludes steps, layout, noneditable fields, and answers.



## OpenAPI

````yaml /api-reference/openapi.yaml get /v1/intake_forms/{intake_form_id}/field_definitions
openapi: 3.0.1
info:
  title: Slant Public API V1
  version: v1
  description: Public API for creating and managing resources in Slant
  contact:
    name: Slant API Support
    email: api@slant.com
servers:
  - url: https://api.slant.app
security:
  - bearer: []
paths:
  /v1/intake_forms/{intake_form_id}/field_definitions:
    parameters:
      - name: intake_form_id
        in: path
        required: true
        schema:
          type: string
    get:
      tags:
        - Intake Forms
      summary: Get intake form field definitions
      description: >-
        Returns prefillable fields from the published form: keys, types, labels,
        options, validation constraints, and nested field definitions. Excludes
        steps, layout, noneditable fields, and answers.
      parameters:
        - name: book_id
          in: query
          required: false
          schema:
            type: string
          description: The book using the form, including forms shared with that book.
      responses:
        '200':
          description: published field definitions
          content:
            application/json:
              schema:
                type: object
                required:
                  - fields
                properties:
                  fields:
                    type: array
                    items:
                      type: object
                      additionalProperties: true
                additionalProperties: false
        '400':
          $ref: '#/components/responses/BadRequest'
        '401':
          description: unauthorized - missing or invalid token
          content:
            application/json:
              schema:
                type: object
                required:
                  - error
                  - detail
                properties:
                  error:
                    type: string
                    description: Error code
                    enum:
                      - token_missing
                      - token_invalid
                  detail:
                    oneOf:
                      - type: string
                        description: Human-readable error description
                      - type: array
                        items:
                          type: string
                        description: Array of validation error messages
        '403':
          $ref: '#/components/responses/Forbidden'
        '404':
          description: form is not available
      security:
        - bearer: []
components:
  responses:
    BadRequest:
      description: Bad Request - invalid JSON
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
          examples:
            invalid_json:
              value:
                error: invalid_json
                detail: Request body must be valid JSON
    Forbidden:
      description: Forbidden - client not found or user not linked
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
          examples:
            client_not_found:
              value:
                error: client_not_found
                detail: Invalid or inactive client
            user_not_linked:
              value:
                error: user_not_linked
                detail: No matching user for provided token
            principal_book_missing:
              value:
                error: principal_book_missing
                detail: User must have a principal book
            not_authorized:
              value:
                error: not_authorized
                detail: You are not permitted to perform this action
  schemas:
    Error:
      type: object
      required:
        - error
        - detail
      properties:
        error:
          type: string
          description: Error code
        detail:
          type: string
          description: Human-readable error description
  securitySchemes:
    bearer:
      type: http
      scheme: bearer
      bearerFormat: OAuth
      description: OAuth 2.0 Bearer Token from Clerk authentication

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.